Subject: Re: bug#10565: 1 of 787 tests failed

From: Stefano Lattarini <[email-masked]>
Date: Sun, 19 Feb 2012 10:19:43 +0100

On 01/20/2012 08:09 PM, Stefano Lattarini wrote:
> Hi Dennis, thanks for the report.
> 
> On 01/20/2012 06:14 PM, Dennis Clarke wrote:
>>
>> dclarke@charon:~/build/automake-1.11.2-001$ uname -a
>> Linux charon 2.6.32-5-powerpc64 #1 SMP Wed Jan 11 15:39:26 UTC 2012 ppc64
>> GNU/Linux
>> dclarke@charon:~/build/automake-1.11.2-001$ cat /proc/version
>> Linux version 2.6.32-5-powerpc64 (Debian 2.6.32-39squeeze1) ([email-masked])
>> (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Wed Jan 11 15:39:26 UTC 2012
>> dclarke@charon:~/build/automake-1.11.2-001$
> 
> 
>> ===============================================
>>    GNU Automake 1.11.2: tests/test-suite.log
>> ===============================================
>>
>> 1 of 787 tests failed.  (124 tests were not run).
>>
>> .. contents:: :depth: 2
> 
> 
>> FAIL: specflg10.test (exit: 2)
>> ==============================
>>
>> /home/dclarke/build/automake-1.11.2-001/tests:/usr/local/bin:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/schily/bin
>> specflg10: running g++ --version
>> g++ (Debian 4.4.5-8) 4.4.5
>> Copyright (C) 2010 Free Software Foundation, Inc.
>> This is free software; see the source for copying conditions.  There is NO
>> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
>>
>> === Running test ./specflg10.test
>> + pwd
>>
>> [SNIP]
>>
>> + make
>> Making all in sub
>> make[1]: Entering directory
>> `/home/dclarke/build/automake-1.11.2-001/tests/specflg10.dir/sub'
>> g++ -DPACKAGE_NAME=\"specflg10\" -DPACKAGE_TARNAME=\"specflg10\"
>> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"specflg10\ 1.0\"
>> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"specflg10\"
>> -DVERSION=\"1.0\" -I.   -I/usr/local/include  -R/usr/local/lib
>> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
>> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
>> -msvr4-struct-return -pthread -MT bar.o -MD -MP -MF .deps/bar.Tpo -c -o bar.o
>> bar.cpp
>> mv -f .deps/bar.Tpo .deps/bar.Po
>> g++  -R/usr/local/lib -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec
>> -mabi=altivec -mvrsave -m64 -mpowerpc64 -mfull-toc -malign-power -mupdate
>> -mcall-linux -msvr4-struct-return -pthread   -o bar bar.o
>> /usr/bin/ld: skipping incompatible
>> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
>> /usr/bin/ld: skipping incompatible
>> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
>> /usr/bin/ld: skipping incompatible
>> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
>> /usr/bin/ld: skipping incompatible
>> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
>> /usr/bin/ld: cannot find -lstdc++
>> collect2: ld returned 1 exit status
>> make[1]: *** [bar] Error 1
>> make[1]: Leaving directory
>> `/home/dclarke/build/automake-1.11.2-001/tests/specflg10.dir/sub'
>> make: *** [all-recursive] Error 1
>> + exit_status=2
>> + set +e
>> + cd /home/dclarke/build/automake-1.11.2-001/tests
>> + test 0 != 0
>> + echo specflg10: exit 2
>> specflg10: exit 2
>> + exit 2
>>
> Do you happen to have $CFLAGS or $CXXFLAGS exported in the environment?
>
This issue (and potential similar ones) should now be solved in the development
branch ("master") of Automake, thanks to the several improvements in the handling
of compilers required by the testsuite.

I'm thus closing this bug report.  Feel free to reopen it in case the problem
persist in the next major version of Automake (1.12).

Regards,
  Stefano